"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const codes_1 = require("./codes");
exports.ErrorCode = codes_1.ErrorCode;
var BackendMiddlewareErrorCodes;
(function (BackendMiddlewareErrorCodes) {
    BackendMiddlewareErrorCodes["NoEntropy"] = "NoEntropy";
    BackendMiddlewareErrorCodes["NoKeyProvider"] = "NoKeyProvider";
    BackendMiddlewareErrorCodes["NoWallet"] = "NoWallet";
    BackendMiddlewareErrorCodes["DecryptionFailed"] = "DecryptionFailed";
})(BackendMiddlewareErrorCodes = exports.BackendMiddlewareErrorCodes || (exports.BackendMiddlewareErrorCodes = {}));
class BackendError extends Error {
    constructor(code) {
        super(code);
    }
}
exports.BackendError = BackendError;
BackendError.codes = BackendMiddlewareErrorCodes;
