import { JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { CredentialRequest } from 'jolocom-lib/js/interactionTokens/credentialRequest';
import { CredentialResponse } from 'jolocom-lib/js/interactionTokens/credentialResponse';
import { Authentication } from 'jolocom-lib/js/interactionTokens/authentication';
import { CredentialOfferRequest } from 'jolocom-lib/js/interactionTokens/credentialOfferRequest';
import { CredentialOfferResponse } from 'jolocom-lib/js/interactionTokens/credentialOfferResponse';
import { CredentialsReceive } from 'jolocom-lib/js/interactionTokens/credentialsReceive';
export declare const isCredentialRequest: (token: JWTEncodable) => token is CredentialRequest;
export declare const isCredentialResponse: (token: JWTEncodable) => token is CredentialResponse;
export declare const isAuthenticationRequest: (token: JWTEncodable) => token is Authentication;
export declare const isCredentialOfferRequest: (token: JWTEncodable) => token is CredentialOfferRequest;
export declare const isCredentialOfferResponse: (token: JWTEncodable) => token is CredentialOfferResponse;
export declare const isCredentialReceive: (token: JWTEncodable) => token is CredentialsReceive;
