"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCredentialRequest = (token) => !!token.requestedCredentialTypes;
exports.isCredentialResponse = (token) => {
    return !!token.suppliedCredentials;
};
exports.isAuthenticationRequest = (token) => {
    return !!token.description;
};
exports.isCredentialOfferRequest = (token) => !!token.offeredCredentials;
exports.isCredentialOfferResponse = (token) => !!token.selectedCredentials;
exports.isCredentialReceive = (token) => !!token.signedCredentials;
