import { AnyAction } from 'redux';
import { ThunkDispatch as OriginalThunkDispatch, ThunkAction as OriginalThunkAction } from 'redux-thunk';
import { RootState } from "./reducers";
import { BackendMiddleware } from './backendMiddleware';
export declare function initStore(): import("redux").Store<RootState>;
export declare type ThunkDispatch = OriginalThunkDispatch<RootState, BackendMiddleware, AnyAction>;
export declare type ThunkAction<R = AnyAction | Promise<AnyAction | void>> = OriginalThunkAction<R, RootState, BackendMiddleware, AnyAction>;
