import { SignedCredential } from 'jolocom-lib/js/credentials/signedCredential/signedCredential';
/**
 * @dev Some basic predefined filters, if required they can be removed
 * and the filtering / ordering construction functions can be exposed instead
 */
export declare const filters: {
    filterByExpired: (list: SignedCredential[]) => SignedCredential[];
    filterByValid: (list: SignedCredential[]) => SignedCredential[];
    filterByIssuer: (did: string) => (list: SignedCredential[]) => SignedCredential[];
    filterByType: (typ: string) => (list: SignedCredential[]) => SignedCredential[];
    orderByRecent: (list: SignedCredential[]) => SignedCredential[];
    documentFilter: (documentTypes: string[]) => (list: SignedCredential[]) => SignedCredential[];
};
