import { JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
import { Flow } from './flow';
import { Interaction } from './interaction';
import { CredentialOfferFlowState, IssuanceResult } from './types';
export declare class CredentialOfferFlow extends Flow {
    state: CredentialOfferFlowState;
    constructor(ctx: Interaction);
    handleInteractionToken(token: JWTEncodable, messageType: InteractionType): Promise<boolean>;
    private handleOfferRequest;
    private handleOfferResponse;
    private handleCredentialReceive;
    getSelectionResult(): string[];
    getIssuanceResult(): IssuanceResult;
}
