import { Interaction } from './interaction';
import { JWTEncodable } from 'jolocom-lib/js/interactionTokens/JSONWebToken';
import { InteractionType } from 'jolocom-lib/js/interactionTokens/types';
export interface FlowState {
}
export declare abstract class Flow {
    protected ctx: Interaction;
    abstract state: FlowState;
    constructor(ctx: Interaction);
    abstract handleInteractionToken(token: JWTEncodable, messageType: InteractionType): Promise<boolean>;
    getState(): FlowState;
}
