import { IIpfsConnector } from 'jolocom-lib/js/ipfs/types';
import { IDidDocumentAttrs } from 'jolocom-lib/js/identity/didDocument/types';
export declare class IpfsCustomConnector implements IIpfsConnector {
    private nativeLib;
    private ipfsHost;
    constructor(config: {
        host: string;
        protocol: string;
        port: number;
    });
    storeJSON({ data, pin, }: {
        data: object;
        pin: boolean;
    }): Promise<string>;
    catJSON(hash: string): Promise<IDidDocumentAttrs>;
    removePinnedHash(hash: string): Promise<void>;
    createDagObject({ data, pin, }: {
        data: object;
        pin: boolean;
    }): Promise<string>;
    resolveIpldPath(pathToResolve: string): Promise<object>;
}
