import { CredentialEntity } from './entities';
/**
 * Given an array of Credential Entities, will attempt to group them by
 * the credential they are part of, and return a sumarry, contain a key name
 * and an array of aggregated values
 * @param credentials - Credential Entities to group. If all claims are part of different
 * credentials, the array is returned unmodified
 */
export declare const groupAttributesByCredentialId: (credentials: CredentialEntity[]) => {
    propertyValue: string[];
    id: number;
    verifiableCredential: import("./entities").VerifiableCredentialEntity;
    propertyName: string;
}[];
