/// <reference types="node" />
import { BaseMetadata } from 'cred-types-jolocom-core';
import { DecoratedClaims } from '../reducers/account';
export declare const getClaimMetadataByCredentialType: (type: string) => BaseMetadata;
export declare const getUiCredentialTypeByType: (type: string[]) => string;
export declare const getCredentialUiCategory: ({ credentialType, }: DecoratedClaims) => string;
export declare const prepareLabel: (label: string) => string;
export declare const capitalize: (word: string) => string;
export declare const compareDates: (date1: Date, date2: Date) => number;
export declare function generateSecureRandomBytes(length: number): Promise<Buffer>;
