"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const crypto_1 = require("crypto");
exports.NativeModules = { RNRandomBytes: { randomBytes: crypto_1.randomBytes } };
class Linking {
    static canOpenURL(url) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            console.log('canOpenURL called with ' + url);
            return true;
        });
    }
    static openURL(url) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            console.log('openURL called with ' + url);
        });
    }
}
exports.Linking = Linking;
