import { SettingsState } from "./settings";
import { AccountState } from "./account";
import { RegistrationState } from "./registration";
import { DocumentsState } from './documents';
import { NotificationsState } from './notifications';
export declare const rootReducer: import("redux").Reducer<RootState>;
export interface RootState {
    readonly settings: SettingsState;
    readonly account: AccountState;
    readonly registration: RegistrationState;
    readonly documents: DocumentsState;
    readonly notifications: NotificationsState;
}
